import json
import sys
from PyQt5 import Qt

from gui.mainwindow import WDMMainWindow
from settings import load_settings, save_settings

if __name__ == '__main__':
    load_settings()
    print("Starting GUI...")
    app = Qt.QApplication(sys.argv)
    mainWindow = WDMMainWindow()

    # Main loop
    n = app.exec_()
    save_settings()
    sys.exit(n)